Modify

#523 closed enhancement (wontfix)

Add support for OCS (port pidgin-sipe?)

Reported by: eivanec@… Owned by:
Priority: pony Milestone:
Component: BitlBee Version: 1.2.3
Keywords: sipe ocs communicator pidgin pidgin-sipe Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

Hello everyone,

Office Communicator support would be a great addition for us bitlbeers ( ? ) stuck with Microsoft messaging at work.

The current version of pidgin-sipe (http://sipe.sourceforge.net/) works fine with OCS 2007. I'm not acquainted with bitlbee or pidgin's source code at all, but is a port of pidgin-sipe to bitlbee doable?

If someone could point me in the right direction I could perhaps even give it a shot, though unfortunately my C skills are pretty basic.

Thank you very much for your work in bitlbee!

Attachments (0)

Change History (12)

comment:1 Changed at 2009-09-30T14:41:22Z by eivanec@…

Found this old related report: http://bugs.bitlbee.org/bitlbee/ticket/280.

I'm leaving this one up as I think the possibility of porting a currently working implementation is interesting.

comment:2 Changed at 2010-05-06T16:31:27Z by pub1@…

I agree, this would be an excellent thing to implement in bitlbee. I hate having to use Communicator as a separate app from my other merged IM's.

Lee

comment:3 Changed at 2010-12-04T02:55:02Z by Mark Plaksin <happy@…>

This would be definitely be awesome--especially because OCS is coming to my office :)

comment:4 Changed at 2010-12-04T12:23:10Z by wilmer

Tried BitlBee with libpurple yet?

comment:5 Changed at 2010-12-05T02:11:10Z by Mark Plaksin <happy@…>

Wow! bitlbee-libpurple looks awesome! Two questions:

1) I can't get it to authenticate. I can get Pidgin to talk to OCS so I'm sure I'm just missing something. In Pidgin I have to fill in both the "Username" and "Login" fields for it to work. For "Username", I use my email address and for "Login" I use DOMAIN\USERNAME. In bitlbee I use my email address as my username but I can't figure out where to put DOMAIN/USERNAME.

2) Is Twitter support incompatible w/ libpurple? I'm using bitlbee-libpurple from your site in Ubuntu 10.04 and it doesn't have Twitter support.

Thank you!

comment:6 Changed at 2010-12-07T14:37:43Z by Mark Plaksin <happy@…>

With help from #bitlbee (thanks wilmer&Flexo!) I got it to work. The trick is to use a comma to separate "username" from "login". I used this account add command:

account add sipe EMAIL-ADDRESS,DOMAIN\USERNAME PASSWORD

The Experts also said that turning on libpurple disables all other protocols. So to get OCS and Twitter I need to run two different Bitlbees. wilmer said he plans to change it so enabling libpurple doesn't disable the others.

Thanks for the help! And, of course, Bitlbee is AWESOME!

comment:7 Changed at 2010-12-07T14:54:55Z by Eduardo Ivanec <eivanec@…>

This sounds great, but I'm getting 'Unknown protocol' while using bitlbee-libpurple bzr-devel-742 (from code.bitlbee.org's debian testing repository, built yesterday). Do you know which bzr revision I'm supposed to use to have this protocol? I have the latest libpurple0 available on debian: 2.7.7.

Thanks in advance!

comment:8 Changed at 2010-12-07T15:10:55Z by Mark Plaksin <happy@…>

I'm using the bitlbee-libpurpge package from code.bitlbee.org on Ubuntu 10.10. It's linked against libpurple0 version 1:2.7.3-1ubuntu3.2.

comment:9 Changed at 2010-12-07T15:27:28Z by Mark Plaksin <happy@…>

Flexo just helped me discover that you also need the pidgin-sipe package installed. That's what gets you the protocol.

I added a page to the Wiki: http://wiki.bitlbee.org/bitlbee-sipe

comment:10 Changed at 2010-12-07T15:35:33Z by Eduardo Ivanec <eivanec@…>

Yep, it's working beautifully now. I had pidgin-sipe working but I must have removed it accidentally during some test, should have double checked.

Thanks everyone! This is great.

comment:11 Changed at 2014-07-07T13:41:42Z by dx

Resolution: wontfix
Status: newclosed

Closing all protocol request tickets.

For most of the requested protocols, it's likely we won't have time and/or interest to implement them, and some tickets have stayed open here for years when they have libpurple implementations, or even as third party plugins. Implementing protocols in the core is far from a priority nowadays, although I hope we can make it easier to write third party plugins. As always, anyone who is interested in implementing bitlbee plugins for these can do so, and we're willing to help (join irc!)

In this particular case, there is a libpurple implementation, see http://wiki.bitlbee.org/bitlbee-sipe

comment:12 Changed at 2014-07-07T13:43:01Z by dx

Priority: normalpony

whoops forgot to lower priority to group it with the other protocols requests.

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.